from django import template
from django.urls import reverse

register = template.Library()

navbar_options = {
    "Home": ["Home", reverse("GeoffreyHome")],
    "Player": ["Players", reverse("GeoffreyPlayers")],
    "Shop": ["Shops", reverse("GeoffreyShops")],
    "Base": ["Bases", reverse("GeoffreyBases")],
    "Town": ["Towns", reverse("GeoffreyTowns")],
    "ItemListing": ["Item Listings", reverse("GeoffreyItems")],
    "PublicFarm": ["Public Farms", reverse("GeoffreyPublicFarms")],
    "Market": ["Markets", reverse("GeoffreyMarkets")],
    "PointOfInterest": ["Points of Interest", reverse("GeoffreyPointOfInterest")],
    "Attractions": ["Attractions", reverse("GeoffreyAttraction")]
}

option_format = '<li class="nav-item{}"> <a class="nav-link" href="{}">{} </a> </li>'


@register.simple_tag
def get_navbar(page):
    navbar = ""

    for option in navbar_options.keys():
        if page == option:
            active = ' active'
        else:
            active = ''

        navbar += option_format.format(active, navbar_options[option][1], navbar_options[option][0])

    return navbar
